### Signal

# Clutter Stage::prepare-frame

#### Declaration

    void
    prepare_frame (
      ClutterStage* self,
      ClutterStageView* view,
      ClutterFrame* frame,
      gpointer user_data
    )

#### Description [src]

The signal is emitted after the stage is updated, before the stage is painted, even if it will not be painted.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`view`

  Type: `ClutterStageView`

  A `ClutterStageView`.

  The data is owned by the caller of the function.

`frame`

  Type: `ClutterFrame`

  A `ClutterFrame`.

  The data is owned by the caller of the function.